## since 0.1

=== Makefile ===
###########################################################################
# Compiler and Flags ######################################################

CC        = gcc
CFLAGS    = -Wall -fomit-frame-pointer
STRIP     = strip

#CFLAGS   += -DTRACE
#CFLAGS   += -g
#CFLAGS   += -pg

###########################################################################
# Auxillary Programs ######################################################

LN        = ln
LNFLAGS   = -s

RM        = rm
RMFLAGS   = -f

TOUCH     = touch
CP        = cp
CHMOD     = chmod
TAR       = tar
CI        = ci
CO        = co

###########################################################################
# Files ###################################################################

SRC       = since.c
OBJ       = since.o
TARGET    = since
MAN       = since.1

INTARGET  = /usr/local/bin/since
INMAN     = /usr/local/man/man1/since.1

###########################################################################
# Generic build all #######################################################

all : $(TARGET)

###########################################################################
# Install #################################################################

install : $(TARGET)
	$(CP) $(TARGET) $(INTARGET)
	$(CHMOD) 755 $(INTARGET)
	$(CP) $(MAN) $(INMAN)
	$(CHMOD) 755 $(INMAN)

###########################################################################
# Build since executable ##################################################

$(TARGET) : $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET)
	$(STRIP) $(TARGET)

###########################################################################
# Build object files from source ##########################################

.c.o :
	$(CC) $(CFLAGS) -c $*.c

###########################################################################
# Transport - zip the entire thing ########################################

transport :
	$(TOUCH) -t 01010000 *
	$(TOUCH) -t 01010001 since.c
	$(TAR) czvf since-0.1.tar.gz since-0.1/$(SRC) since-0.1/$(MAN) since-0.1/$(TARGET) since-0.1/Makefile since-0.1/README since-0.1/INSTALL since-0.1/COPYING since-0.1/since-0.1.lsm

###########################################################################
# Remove intermediate files ###############################################

clean : 
	$(RM) $(RMFLAGS) *.o core

reallyclean : clean
	$(RM) $(RMFLAGS) $(TARGET)

## since 0.3

=== Makefile ===
###########################################################################
# Files ###################################################################

NAME      = since
VERSION   = 0.3
SRC       = $(NAME).c
OBJ       = $(NAME).o
TARGET    = $(NAME)
MAN       = $(NAME).1
ARCHIVE   = $(NAME)-$(VERSION).tar.gz
LSM       = $(NAME)-$(VERSION).lsm

INTARGET  = /usr/local/bin/$(TARGET)
INMAN     = /usr/local/man/man1/$(MAN)

###########################################################################
# Compiler and Flags ######################################################

CC        = gcc
CFLAGS    = -Wall -O2 -fomit-frame-pointer -DVERSION=\"$(VERSION)\"
STRIP     = strip

#CFLAGS   += -DTRACE
#CFLAGS   += -g
#CFLAGS   += -pg

###########################################################################
# Auxillary Programs ######################################################

RM        = rm -f
INSTALL   = install -c
LINK      = ln -s
TOUCH     = touch
TAR       = tar
MKLSM     = ./mklsm

###########################################################################
# Generic build all #######################################################

all : $(TARGET)

###########################################################################
# Install #################################################################

install : $(TARGET)
	$(INSTALL) -m 0755 $(TARGET) $(INTARGET)
	$(INSTALL) -m 0644 $(MAN) $(INMAN)

###########################################################################
# Build since executable ##################################################

$(TARGET) : $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET)
	$(STRIP) $(TARGET)

###########################################################################
# Build object files from source ##########################################

.c.o :
	$(CC) $(CFLAGS) -c $*.c

###########################################################################
# Generate a package ready for distribution ###############################

package :
	$(TOUCH) $(SRC)
	$(RM) $(NAME)-$(VERSION)
	$(LINK) . $(NAME)-$(VERSION)
	$(TAR) czvf $(ARCHIVE) $(NAME)-$(VERSION)/{$(SRC),$(MAN),$(TARGET),Makefile,README,INSTALL,COPYING}
	$(MKLSM) $(NAME) $(VERSION)

###########################################################################
# Remove intermediate files ###############################################

clean : 
	$(RM) *.o core $(NAME)-$(VERSION)

reallyclean : clean
	$(RM) $(TARGET) $(ARCHIVE)

## since 0.5

=== Makefile ===
# Files
SRC       = since.c
OBJ       = since.o
TARGET    = since
MAN       = since.1
BINDIR    = /usr/local/bin
MANDIR    = /usr/local/man/man1

# Compiler and Flags
CC        = gcc
CFLAGS    = -Wall -O2 
RM        = rm -f
INSTALL   = install -c
LINK      = ln -s
TOUCH     = touch
TAR       = tar

# Generic build all
all : $(TARGET)

# Install
install : $(TARGET)
	$(INSTALL) -m 0755 $(TARGET) $(BINDIR)
	$(INSTALL) -m 0644 $(MAN) $(MANDIR)

# Build since executable 
$(TARGET) : $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET)

# Build object files from source
.c.o :
	$(CC) $(CFLAGS) -c $*.c

# Remove junk
clean : 
	$(RM) *.o core *~

reallyclean : clean
	$(RM) $(TARGET)

## since 1.1

=== Makefile ===
# IMHO auto{make,conf} is overkill. Simple, readable makefiles improve security

prefix=/usr/local
NAME = since
VERSION = 1.1

CFLAGS = -Wall -O2 -DVERSION=\"$(VERSION)\"
# disable/enable as desired 
CFLAGS += $(shell test -f /usr/include/sys/inotify.h && echo -DUSE_INOTIFY)
CFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
#CFLAGS += -DDEBUG

CC = gcc
RM = rm -f
INSTALL = install -D

$(NAME): $(NAME).c
	$(CC) $(CFLAGS) -o $@ $^

install: $(NAME)
	$(INSTALL) $(NAME) $(prefix)/bin/$(NAME)
	$(INSTALL) $(NAME).1 $(prefix)/share/man/man1/$(NAME).1

clean: 
	$(RM) $(NAME) core *.o

=== debian/changelog ===
since (1.1-6) unstable; urgency=medium

  * Enable all hardening build flags.
  * Declare compliance with Debian Policy 3.9.8.
  * Change XS-Testsuite header name to Testsuite.
  * Switch Vcs-* headers to https:// and cgit.
  * Add patch to fix spelling error found by Lintian.

 -- Axel Beckert <abe@debian.org>  Fri, 20 Jan 2017 01:28:17 +0100

since (1.1-5) unstable; urgency=medium

  * Make adequate messages trigger a failure in the adequate autopkgtest
  * Output content of .since in case of test failure
  * Merge changelog entry from impatient NMU by Anibal Monsalve Salazar
    + Ignore dev_t.patch from NMU, use my DEP-3 compliant variant
  * Import updated dev_t.patch by Svante Signell to make it work on
    GNU/Hurd, too. Thanks! (Closes: #591386)
    + Rewrite patch description to make it more clear and to mention Hurd.

 -- Axel Beckert <abe@debian.org>  Sat, 24 May 2014 22:06:29 +0200

since (1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * For mips/mipsel ABIO32, define int d_dev as unsigned long int.
    Add dev_t.patch.
    Patch by Aleksandar Zlicic.
    Closes: #742940

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Apr 2014 05:35:53 +0100

since (1.1-4) unstable; urgency=medium

  * Switch to a git-buildpackage compatible VCS layout
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update upstream's e-mail address in debian/copyright.
  * Add (a rather minimal) DEP-12 debian/upstream/metadata file.
  * Update patch header of hurd-path-max.patch to conform to DEP-3.
  * Add DEP-8 automatic package testing.
    + Use part of the test suite also at build-time

 -- Axel Beckert <abe@debian.org>  Sat, 29 Mar 2014 04:54:07 +0100

since (1.1-3) unstable; urgency=low

  * Bump debhelper compatibility to 9
    - Update versioned debhelper build-dependency
  * Patch upstream Makefile to
    - don't overwrite already set variables
    - pass additional variables (CPPFLAGS, LDFLAGS)
  * Streamline debian/rules
    - use dh_auto_{build,clean}
    - use debian/since.manpages instead of dh_installman parameter
    - switch to minimal dh7 style debian/rules, but don't run dh_auto_install
  * Fixes the following lintian warnings:
    - hardening-no-relro
    - hardening-no-fortify-functions
    - vcs-field-not-canonical
    - debian-rules-missing-recommended-target
  * Rename debian/since.* to debian/*
  * Bump Standards-Version to 3.9.4 (no further changes)

 -- Axel Beckert <abe@debian.org>  Fri, 17 May 2013 01:27:31 +0200

since (1.1-2) unstable; urgency=low

  * Fix FTBFS on GNU/Hurd
    - add patch hurd-path-max.patch based on fix for #257087.

 -- Axel Beckert <abe@debian.org>  Mon, 02 Aug 2010 13:11:55 +0200

since (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #590939)
    - [debian/rules] remove call to reallyclean make target as it no more
      exists.
    - [debian/copyright] Updated; License changed to GPLv3+
  * New Maintainer, thanks Felipe for all his work!
  * Move to git as VCS, adapt Vcs-Headers
  * Bump Standards-Version to 3.9.1 (no changes necessary)
  * Replace "dh_clean -k" by "dh_prep" and bump debhelper compatibility to 7
  * Switch to Source Format "3.0 (quilt)"
  * Add dependency on ${misc:Depends}

 -- Axel Beckert <abe@debian.org>  Mon, 02 Aug 2010 00:22:53 +0200

since (0.5-5) unstable; urgency=low

  * Change maintainer e-mail address.
  * Fix lintian warnings
    - debian-rules-ignores-make-clean-error
  * Bump Standards-Version to 3.7.3 (without modification).
  * Added Vcs-* fields (debian/control).
  * Added Homepage field (debian/control).
  * Added debian/watch.
  * Update debhelper compat to 5.
    - Update Build-Deps accordingly.
  * Updating information in debian/copyright.

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Sat, 26 Jan 2008 21:35:09 -0600

since (0.5-4) unstable; urgency=low

  * Adding a version to the debhelper depends (debian/control).
  * Bumping Standards-Version to 3.7.2 (no changes needed).

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Tue, 22 Aug 2006 01:31:22 -0300

since (0.5-3) unstable; urgency=low

  * New maintainer. (Closes: #313638).
  * Bumping standards version to 3.6.2.2.

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Fri, 20 Jan 2006 14:18:21 -0200

since (0.5-2) unstable; urgency=low

  * Set maintainer to Debian QA Group
  * Updated Standards-Version
  * Removed version in build-dep on debhelper
  * Add debian/compat 

 -- Luk Claes <luk@debian.org>  Sat, 10 Sep 2005 09:57:34 +0000

since (0.5-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (closes: #201365).
  * debhelper in Build-Depends (closes: #190527).
  * Updated to standards version 3.6.0.

 -- Luk Claes <luk.claes@ugent.be>  Fri, 18 Jul 2003 15:47:38 +0200

since (0.3-1) unstable; urgency=low

  * New upstream.

 -- Michael-John Turner <mj@debian.org>  Fri, 11 May 2001 22:57:46 +0200

since (0.2-1) unstable; urgency=low

  * New upstream.
  * Updated to policy 3.2.0 and changed build slightly.

 -- Michael-John Turner <mj@debian.org>  Mon, 20 Nov 2000 21:01:26 +0200

since (0.1-2) unstable; urgency=low

  * Updated to policy 3.0.1

 -- Michael-John Turner <mj@debian.org>  Fri, 17 Sep 1999 14:30:47 +0200

since (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Michael-John Turner <mj@debian.org>  Wed, 19 May 1999 18:28:18 +0200

=== debian/control ===
Source: since
Section: text
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/since.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/since.git
Homepage: http://welz.org.za/projects/since
Testsuite: autopkgtest

Package: since
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tail(1) work-alike that saves and uses state information
 since is a tail(1) work-alike that remembers how much of a file
 you have viewed and displays only what's new when you next view
 that file. Ideal for viewing log files (it'll only show what's
 new in the file since the last time it was run).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	rm -rf debian/testtmp
	mkdir debian/testtmp
	env PATH=$(CURDIR):$(PATH) ADTTMP=$(CURDIR)/debian/testtmp debian/tests/simple
	rm -rf debian/testtmp

# Deliberately empty targets
override_dh_auto_install:

=== debian/tests/control ===
Tests: simple
Depends: since

Tests: adequate
Depends: since, adequate

=== debian/watch ===
version=3
http://welz.org.za/projects/since/since-(.*).tar.gz
